<!doctype html>
<html>

<head>
  <title>El Gamal</title>
  <script type="text/javascript" src="/static/javascript.js"></script>
  <link type="text/css" rel="stylesheet" href="/static/materialize.css">
  <link type="text/css" rel="stylesheet" href="/static/style.css">
  <link rel="stylesheet" href="https://fonts.googleapis.com/icon?family=Material+Icons">
</head>

<body>
  <div class="flex">
    <div class="row">
      <!-- Alisa -->
      <div class="monitor off" id="alice-monitor">
        <div class="mask">
          <i class="material-icons power-btn" onclick="turnOnAliceMonitor()">power_settings_new</i>
        </div>
        <div class="white darken-2 padding8">
          <div class="black-text">
            <div class="row">
              <div class="col s6 no-left-padding">
                <div class="input-field">
                  <input id="digit-count" type="number">
                  <label for="digit-count">Broj cifara</label>
                </div>
                <div class="top-15">
                  <button class="waves-effect waves-light btn-small deep-purple lighten-2" onclick="generateParams()">
                    Generiši parametre
                  </button>
                  <div class="preloader-wrapper small deep top15" id="generate-loader">
                    <div class="spinner-layer purple-border">
                      <div class="circle-clipper left"><div class="circle"></div></div>
                      <div class="gap-patch"><div class="circle"></div></div>
                      <div class="circle-clipper right"><div class="circle"></div></div>
                    </div>
                  </div>
                </div>
              </div>
              <div class="z-depth-1 col s6 a">
                <label>a</label> <br>
                <span id="a"></span>
              </div>
            </div>
            <ul class="collapsible expandable hidden" id="decrypt-panel"><!-- messages --></ul>
          </div>
        </div>
      </div>
      <!-- Bob -->
      <div class="monitor bob off" id="bob-monitor">
        <div class="mask">
          <i class="material-icons power-btn" onclick="turnOnBobMonitor()">power_settings_new</i>
        </div>
        <div class="white darken-2 padding8">
          <div class="black-text">
            <div class="input-field">
              <textarea id="bob-m" class="materialize-textarea"></textarea>
              <label for="bob-m" id="bob-m-label">Poruka</label>
            </div>
            <span id="encrypt-panel" class="hidden">
              <a class="waves-effect waves-light btn-small" onclick="encrypt()" id="encrypt">ENCRYPT</a>
              <input type="file" onchange="parseFile(event)" id="bob-file" class="hidden">
              <button class="btn-small top1px" onclick="clickOn('#bob-file')">
                <i class="material-icons">file_upload</i>
              </button>
              <span id="send-panel" class="hidden">
                <span class="padding20 label-with-padding block">
                  <label>Enkriptovana poruka</label> <br>
                  <span id="bob-encrypted-m"></span>
                </span>
                <button class="btn-small waves-effect waves-light hidden" onclick="send()" id="send-btn">
                  Pošalji <i class="material-icons right">send</i>
                </button>
                <button class="btn-small bottom1px" onclick="downloadMessage()">
                  <i class="material-icons">file_download</i>
                </button>
              </span>
            </span>
          </div>
        </div>
      </div>
    </div>
    <!-- Javni podaci -->
    <div class="row public">
      <div class="col s2 z-depth-1 param">
        <label>p</label> <br>
        <span id="p"></span>
      </div>
      <div class="col s2 z-depth-1 param">
        <label>g</label> <br>
        <span id="g"></span>
      </div>
      <div class="col s2 z-depth-1 param">
        <label>A</label> <br>
        <span id="capital-a"></span>
      </div>
      <div class="col s2 z-depth-1 param">
        <label>g<sup>k</sup></label> <br>
        <span id="g-sup-k"></span>
      </div>
      <div class="col s2 z-depth-1 param">
        <label>mA<sup>k</sup></label> <br>
        <span id="m-A-sup-k"></span>
      </div>
    </div>
  </div>
  <footer class="page-footer blue">
    <div class="footer-copyright">
      <div class="container">
        <span class="left grey-text text-lighten-4 top8">
          Petar Đerković, Mirko Marković, Marko Vujović, Dušan Milenković
        </span>
        <a class="grey-text text-lighten-4 right link" href="https://gitlab.com/Ledu/kriptografija" target="_blank">
          GitLab
          <img src="/static/gitlab.png" class="icon">
        </a>
        <a class="grey-text text-lighten-4 right right30 link" href="/static/docs/dokumentacija.pdf" target="_blank">
          Dokumentacija
          <img src="/static/pdf.png" class="icon">
        </a>
      </div>
    </div>
  </footer>
</body>
<script type="text/javascript" src="/static/materialize.js"></script>

</html>
